Bug 172263 - kdump error is logged when installing FC5 from network, which leads to kernel-kdump not being installed
kdump error is logged when installing FC5 from network, which leads to kernel...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-01 21:16 EST by Reshat Sabiq
Modified: 2014-06-18 04:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-30 17:49:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Reshat Sabiq 2005-11-01 21:16:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
Since the kernel-kdump (or whatever is the package needed for kdump) is not installed by network installer, there shouldn't be any Snnkdump scripts in /etc/rc.d/rcn.d/.
Those scripts should probably be a part of kernel-kdump package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC5 from network (development repo)
2. Boot
3. Look at boot-time messages

Actual Results:  Error below.

Expected Results:  No errors.

Additional info:

Starting kdump: No kdump kernel image found.
Tried to locate /boot/vmlinux-2.6.14-1.1632_FC5kdump
Comment 1 Reshat Sabiq 2005-11-01 21:33:43 EST
Until this is taken care of, would you recommend to install the kdump kernel, or
rename S20kdump files to K99kdump?

I've done anything w/ kdump, and i'd rather not have stuff that could introduce
fragility. Not sure if kdump would be in fragile or anti-fragile category,
despite its apparent value in debugging kernel panics. Would kdump kernel make
file system corruption recoveries easier, for instance, or would it just tell me
"This is why file system is now corrupted: ..."?
Comment 2 Jeffrey Moyer 2005-11-14 10:38:07 EST
The init script is part of the kexec-tools package.  Running the init script
when the kdump kernel isn't found is not going to destabilize your machine.  The
init script will eventually go away, replaced by logic in mkinitrd.

As such, just chkconfig off kdump and you should be fine.  I'll let Thomas
decide whether to change the default to off.
Comment 3 Thomas Graf 2005-11-30 17:49:40 EST
kexec-tools 1.101 resolves this issue by now reporting a warning instead
of an error in case the kdump kernel image cannot be found.

Note You need to log in before you can comment on or make changes to this bug.